Gracias Gracias:  0
Me Gusta Me Gusta:  0
No me Gusta No me Gusta:  0
Página 1 de 2 12 ÚltimoÚltimo
Mostrando resultados del 1 al 10 de 18

Tema: no puedo instalar programas

  1. #1
    pelicos Invitado

    no puedo instalar programas

    hola, tengo el suse 9.3, no consigo instalar ningun programa, ni con extension rpm ni tar.gz. mi conocimiento es muy basico. Siguiendo un post de este foro he instalado el atp, que ni siquiera se lo que es ni como se usa, pero he instalado el que ponia 586
    y yo el linux que tengo es i386 (que tampoco se lo que quiere decir uno u otro) tampoco se si los paquetes rpm anteriores valen para el suse 9.3.
    Bueno la cuestion es que cuando intento instalar un paquete rpm le pulso al botoncito que sale arriba de instalar paquete con yast
    entonces me pide la contraseña la meto y abre el yast entonces me dice: comprobando dependencias y ya se termina de abrir el yast pero en blanco sin ningun paquete para seleccionar.

    gracias


    por cierto, que quiere decir lo de 386 y 586? ¿puedo instalar un rpm para 586 si yo instale el suse 386?

  2. #2
    Fecha de Ingreso
    27-julio-2004
    Ubicación
    En un lugar de la mancha ...
    Mensajes
    2.348
    Post Thanks / Like
    Poder de Credibilidad
    19
    Cita Iniciado por pelicos
    Siguiendo un post de este foro he instalado el atp, que ni siquiera se lo que es ni como se usa
    Será apt no?? Apt es un gestor de paquetes, que te permite instalar fácilmente los programas y todas sus dependencias. Su uso básico es por la consola mediante comandos, es bastante sencillo pero si prefieres trabajar de forma gráfica puedes usar synaptic. En el foro tienes mucha información sobre apt, puedes usar el buscador y encontrarás mucha información

    Para lo de instalar los paquetes rpm puedes probar a instalar los paquetes directamente por la consola, y a ver si así te da algún fallo

    El comando para instalar los rpm por consola tiene justo ese mismo nombre: rpm, y sería exactamente:

    rpm -Uvh nombrefichero.rpm

    Pruébalo si no lo has hecho, a ver si así te da algún error

    Cita Iniciado por pelicos
    por cierto, que quiere decir lo de 386 y 586? ¿puedo instalar un rpm para 586 si yo instale el suse 386?
    Te dejo un par de temas donde ya se trató el asunto:

    RPM y gtk2
    Duda sobre paquetes .rpm

    Un saludo
    La carrera no siempre la ganan los más veloces, sino aquellos que siguen corriendo
    "No importa cuanto sepas, sino las ganas que tengas de seguir aprendiendo"

  3. #3
    pelicos Invitado
    muchas gracias por contestar
    he probado lo que me has dicho pero me sale esto:

    linux:/home/german/programas/bittorrent # rpm -Uvh BitTorrent.src.rpm
    warning: BitTorrent.src.rpm: V3 DSA signature: NOKEY, key ID 58857177
    1:BitTorrent warning: user pab does not exist - using root
    warning: user pab does not exist - using root 98%)
    ########################################### [100%]
    linux:/home/german/programas/bittorrent #

    no se lo que es, pero creo que no se ha instalado.
    en cuanto a lo de synaptic, me puedes especificar como va, o como lo instalo. Un saludo

  4. #4
    Fecha de Ingreso
    27-julio-2004
    Ubicación
    En un lugar de la mancha ...
    Mensajes
    2.348
    Post Thanks / Like
    Poder de Credibilidad
    19
    Instalarse sí que se ha instalado correctamente, lo único que te ha dado es un warning (una especie de aviso), pero que no llega a la categoría de error.

    Eso sí, el paquete que has instalado corresponde al fuente de BT en este caso, imagino que lo que querrás instalar es el programa en sí no?? Para eso tendrías que buscar un paquete que no tenga el .src en el nombre, lo de src siempre indica código fuente (source)

    Sobre synaptic yo no lo uso, prefiero trabajar por la consola con los comandos (al final las 2 cosas son lo mismo), pero es otro paquete rpm normal, sólo tendrías que descargar el apropiado a la distribución que uses e instalarlo.
    La carrera no siempre la ganan los más veloces, sino aquellos que siguen corriendo
    "No importa cuanto sepas, sino las ganas que tengas de seguir aprendiendo"

  5. #5
    pelicos Invitado
    muchas gracias, ya lo he instalado, solo una pregunta mas:

    ¿se puede instalar un rpm de suse9.1 o 9.2 en el 9.3?

  6. #6
    Fecha de Ingreso
    27-julio-2004
    Ubicación
    En un lugar de la mancha ...
    Mensajes
    2.348
    Post Thanks / Like
    Poder de Credibilidad
    19
    Bueno, eso depende ... lógicamente si tienes ocasión de instalar el paquete adecuado a la distribución es lo mejor, si no lo encontraras (que es raro en cualquier caso) sí que puedes probar con uno anterior, aunque te puede dar problemas de dependencias pues las versiones de las librerías suelen cambiar.

    Usando apt (o synaptic) también evitas esto, ya que los paquetes que bajas e instalas son siempre para tu versión concreta de SuSE
    La carrera no siempre la ganan los más veloces, sino aquellos que siguen corriendo
    "No importa cuanto sepas, sino las ganas que tengas de seguir aprendiendo"

  7. #7
    pelicos Invitado
    ya he instalado el bittorrent, pero no se donde esta para ejecutarlo
    esto es lo que me ha dicho la consola:

    linux:/home/german/programas/bittorrent # rpm -Uvh bittorrent.rpm
    warning: bittorrent.rpm: V3 DSA signature: NOKEY, key ID b7afc211
    Preparing... ########################################### [100%]
    1:bittorrent ########################################### [100%]
    linux:/home/german/programas/bittorrent #

  8. #8
    Fecha de Ingreso
    27-julio-2004
    Ubicación
    En un lugar de la mancha ...
    Mensajes
    2.348
    Post Thanks / Like
    Poder de Credibilidad
    19
    Puedes usar el mismo comando rpm para ver qué ficheros ha instalado el paquete:

    rpm -ql bittorrent

    Eso te daría la lista completa, si quieres ver sólo los ejecutables puedes filtrar con grep:

    rpm -ql bittorrent | grep bin

    Esto lógicamente te vale para cualquier paquete que instales, no es algo específico.
    La carrera no siempre la ganan los más veloces, sino aquellos que siguen corriendo
    "No importa cuanto sepas, sino las ganas que tengas de seguir aprendiendo"

  9. #9
    pelicos Invitado
    muchas gracias de nuevo.

    me contesta esto:
    linux:/home/german/programas/bittorrent # rpm -ql bittorrent | grep bin
    /usr/bin/btdownloadcurses.py
    /usr/bin/btdownloadgui.py
    /usr/bin/btdownloadheadless.py
    /usr/bin/btlaunchmany.py
    /usr/bin/btlaunchmanycurses.py
    /usr/bin/btmaketorrent.py
    /usr/bin/btmaketorrentgui.py
    /usr/bin/btreannounce.py
    /usr/bin/btrename.py
    /usr/bin/btshowmetainfo.py
    /usr/bin/bttrack.py
    linux:/home/german/programas/bittorrent #

    pero me voy a ese directorio y no se como ejecutarlo

  10. #10
    Fecha de Ingreso
    27-julio-2004
    Ubicación
    En un lugar de la mancha ...
    Mensajes
    2.348
    Post Thanks / Like
    Poder de Credibilidad
    19
    Qué paquete has instalado exactamente?? Eso tiene pinta de ser versión por línea de comandos
    La carrera no siempre la ganan los más veloces, sino aquellos que siguen corriendo
    "No importa cuanto sepas, sino las ganas que tengas de seguir aprendiendo"

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Temas Similares

  1. no puedo instalar paquetes con yast
    By francesc in forum Software
    Respuestas: 6
    Último mensaje: 07-dic-2007, 09:02
  2. Cómo instalar programas .tar.gz
    By criosg in forum General OpenSUSE
    Respuestas: 4
    Último mensaje: 01-nov-2006, 15:03
  3. Instalar programas .tar.gz
    By criosg in forum General OpenSUSE
    Respuestas: 1
    Último mensaje: 13-abr-2005, 15:04
  4. no puedo instalar rpm
    By manolomp in forum Software
    Respuestas: 13
    Último mensaje: 11-mar-2005, 14:09
  5. No puedo instalar el Firefox
    By zhonnetiks in forum Software
    Respuestas: 6
    Último mensaje: 06-dic-2004, 19:48

Marcadores

Normas de Publicación

  • No puedes crear nuevos temas
  • No puedes responder mensajes
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •